# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'remind101/version'

Gem::Specification.new do |spec|
  spec.name          = 'remind101'
  spec.version       = Remind101::VERSION
  spec.authors       = ['Eric J. Holmes']
  spec.email         = ['eric@ejholmes.net']
  spec.description   = %q{Ruby client for the Remind101 API.}
  spec.summary       = %q{Ruby client for the Remind101 API.}
  spec.homepage      = 'https://github.com/remind101/remind101.rb'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday'
  spec.add_dependency 'faraday_middleware'
  spec.add_dependency 'hashie',                ['>= 1.2', '< 2.1']
  spec.add_dependency 'netrc',                 '~> 0.7.7'

  spec.add_development_dependency 'bundler',   '~> 1.3'
  spec.add_development_dependency 'rspec',     '~> 2.14'
  spec.add_development_dependency 'simplecov', '~> 0.7'
  spec.add_development_dependency 'webmock',   '~> 1.13'
  spec.add_development_dependency 'rake'
end
